{*:Admin:Katalog:Kategorie:Editace:default*}
{block content}
    {snippet kategorie}
        {*============================== BREADCRUMB ==============================*}
        <section class="border-bottom" id="breadcrumb">
            <nav class="p-3 bg-light">
                <ol class="breadcrumb mb-0">
                    <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
                    <li class="breadcrumb-item active"><i class="fas fa-shopping-cart me-1"></i>Katalog</li>
                    <li class="breadcrumb-item"><a n:href=":Admin:Katalog:Kategorie:Seznam:default"><i class="fas fa-sitemap me-1"></i>Kategorie</a></li>
                    {if !empty($breadCrumbs)}
                        {foreach $breadCrumbs as $breadCrumb}
                            <li class="breadcrumb-item"><a n:href=":Admin:Katalog:Kategorie:Editace:default $breadCrumb['id']">{$breadCrumb['nazev']}</a></li>
                        {/foreach}
                    {/if}
                    <li class="breadcrumb-item active">{$kategorie->nazev}</li>
                </ol>
            </nav>
        </section>
        {*============================== CONTENT ==============================*}
        <section class="container-xxl mb-3">
            <section class="d-md-flex justify-content-between align-items-center border-bottom py-2">
                <h1 n:block="title"><i class="fas fa-edit"></i> Editace kategorie - {$kategorie->nazev}</h1>
                <div class="d-flex justify-content-between gap-3">
                    {snippet active}
                        {if $kategorie->active == true}
                            <a n:href="changeActive! $kategorie->id" class="btn btn-outline-success ajax"><i class="fas fa-eye me-2"></i> Aktivní</a>
                        {else}
                            <a n:href="changeActive! $kategorie->id" class="btn btn-outline-danger ajax"><i class="fas fa-eye-slash me-2"></i> Deaktivována</a>
                        {/if}
                    {/snippet}
                    {control vymazKategorie}
                </div>
            </section>
            <section class="d-md-flex justify-content-between align-items-end border-bottom bg-header text-white p-2">
                <div>
                    <b>Poslední aktualizace:</b> {$kategorie->last_update|date:('d.m.Y')}
                </div>
            </section>
            <form n:name="editKategorieForm">
                <section class="d-flex justify-content-end bg-menu-header sticky-top p-2 mb-3">
                    <button class="btn btn-success" n:name="send"><i class="fas fa-floppy-disk me-2"></i> Uložit</button>
                </section>
                <section class="bg-light mb-3">
                    <h4 class="bg-secondary text-white p-2 mb-0">Základní informace</h4>
                    <div class="row px-3">
                        <div class="col-12 col-md-6 mb-3">
                            <label class="form-label">Název stránky</label>
                            <div class="input-group">
                                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                <input n:name="nazev" class="form-control kategorie-nazev" placeholder="Název stránky">
                            </div>
                        </div>
                        <div class="col-12 col-md-6 mb-3">
                            <label class="form-label">URL adresa</label>
                            <div class="input-group">
                                <span class="input-group-text"><i class="fas fa-globe"></i></span>
                                <input n:name="url" class="form-control kategorie-url" placeholder="URL adresa" readonly>
                            </div>
                            <div class="form-text">automaticky se mění při změně názvu</div>
                        </div>
                    </div>
                </section>
                <section class="bg-light mb-3">
                    <h4 class="bg-secondary text-white p-2 mb-0">Nadřazená kategorie</h4>
                    <div class="row align-items-end py-2 px-3">
                        <div class="col-12 col-md-6 col-lg-5 col-xl-4">
                            <label class="form-label">Název nadřazené kategorie</label>
                            <input class="form-control" value="{if $kategorie->parent_id != null}{$kategorie->ref('kategorie', 'parent_id')->nazev}{else}Hlavní kategorie{/if}" readonly>
                        </div>
                        <div class="col-12 col-md-6 col-lg-5 col-xl-4">
                            {control presunKategorie}
                        </div>
                    </div>
                </section>
                <section class="bg-light mb-3">
                    <h4 class="bg-secondary text-white p-2 mb-0">Informace pro vyhledávače</h4>
                    <div class="row px-3">
                        <div class="col-12 col-md-6 mb-3">
                            <label class="form-label">SEO popis</label>
                            <textarea n:name="meta_desc" class="form-control meta-desc" rows="4"></textarea>
                            <div class="form-text"><b>Doporučená délka: <span id="metaDesc-lenght">0</span>/160</b></div>
                        </div>
                        <div class="col-12 col-md-6 mb-3">
                            <label class="form-label">SEO náhled</label>
                            <div class="seo-thumb shadow p-3 mb-3">
                                <div class="name"><span id="seo-name">{$kategorie->nazev}</span> | {$baseInfo['siteName']}</div>
                                <div class="address">{$baseInfo['address']}<span id="seo-address"></span></div>
                                <div class="seo-content" id="seo-content"></div>
                            </div>
                        </div>
                    </div>
                </section>
                <section class="bg-light mb-3">
                    <h4 class="bg-secondary text-white p-2 mb-0">Popis kategorie</h4>
                    <textarea id="editTiny-1" name="content"></textarea>
                    <input id="tiny-obsah-1" type="hidden" value="{$kategorie->content}">
                </section>
            </form>
            <section class="bg-light mb-3">
                    <h4 class="bg-header text-white p-2 mb-0">Podkategorie</h4>
                    {control seznamKategorie}
            </section>
        </section>
    {/snippet}
{/block}
{block scripts}
    <script>
        $(document).ready(function(){
            var content = $('.meta-desc').val();
            $('#metaDesc-lenght').text(content.length);

            if (content.length > 160){
                $('#metaDesc-lenght').addClass('text-danger');
            }else{
                $('#metaDesc-lenght').addClass('text-success');
            }

            loadTinyObsah(1);
            loadSeoContent();

            $('.meta-desc').on("input", function() {
                loadSeoContent();
                if (this.value.length > 160){
                    $('#metaDesc-lenght').removeClass('text-success');
                    $('#metaDesc-lenght').addClass('text-danger');
                    $('#metaDesc-lenght').text(this.value.length);
                }else{
                    $('#metaDesc-lenght').removeClass('text-danger');
                    $('#metaDesc-lenght').addClass('text-success');
                    $('#metaDesc-lenght').text(this.value.length);
                }
            });

            $('.stranka-nazev').on("input", function() {
                loadSeoContent();
            });
        });

        function loadSeoContent(){
            var name = $('.kategorie-nazev').val();
            var content = $('.meta-desc').val();
            var url = $('.kategorie-url').val();

            $('#seo-content').empty();
            $('#seo-content').append(content);

            $('#seo-name').empty();
            $('#seo-address').empty();

            $('#seo-name').append(name);
            $('#seo-address').append(url);
        }
    </script>
{/block}